<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/"></ion-back-button>
    </ion-buttons>
    <ion-title>sellitem</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div>
    <ion-row>
      <ion-col *ngFor="let img of itemImagesArray; let i=index ">
        <div>
          <img style="width: 66px;height: 56px;" src="{{img}}">
          <ion-chip style="    position: fixed;
                        width: 36%;
                        height: 30%;
                        background: transparent;
                        margin-top: -30%;
                        margin-left: -10%;">
            <!-- <img style="width: 100px;" src="{{img}}">
                        <ion-chip style="width: 30%;  height: 23%;  margin-top: -8%; margin-left: -30%;"> -->
            <ion-icon ios="ios-trash" md="md-trash" color="danger" (click)="removeImg(i)"></ion-icon>
          </ion-chip>
        </div>
      </ion-col>
    </ion-row>
  </div>




  <div style="text-align:center;margin-bottom: -10px; ">
    <img src="assets/imgs/camera.png" style="width:80px;height:80px" (click)="openCam()">
  </div>
  <form [formGroup]="userForm" padding-right>

    <div style="background-color: rgb(231, 228, 228);margin-top: 16px;">
      <ion-label position="fixed" style="     margin-left: 8px;   font-size: 12px;font-weight: 600;">Title
      </ion-label>
      <ion-input type="text" formControlName="title" style="height: 26px;" required></ion-input>
    </div>
    <!-- maxlength="4" -->
    <ion-item *ngIf="!userForm.controls.title.valid && (userForm.controls.title.dirty || submitAttempt)" lines=none>
      <p class="error">Please enter a valid Title of minLength 10 and maxLength 30.</p>
    </ion-item>

    <div style="background-color: rgb(231, 228, 228);margin-top:20px;">
      <ion-label position="fixed" style="margin-left: 8px;font-size: 12px;font-weight: 600;">Description</ion-label>
      <ion-textarea type="text" formControlName="description" required></ion-textarea>
    </div>
    <ion-item *ngIf="!userForm.controls.description.valid && (userForm.controls.description.dirty || submitAttempt)"
      lines=none>
      <p class="error">Please enter a valid Description of minLength 30 and maxLength 80.</p>
    </ion-item>

    <div style="background-color: rgb(231, 228, 228);margin-top:20px; ">
      <ion-label position="fixed" style="margin-left: 8px;font-size: 12px;font-weight: 600;">Rate</ion-label>
      <ion-input type="number" formControlName="rate" required style="height: 26px;"></ion-input>
    </div>

    <div style="background-color: rgb(231, 228, 228);margin-top:20px;">
      <ion-label position="fixed" style="margin-left: 8px;font-size: 12px;font-weight: 600;">kgs</ion-label>
      <ion-input type="number" formControlName="kgs" required style="height: 26px;"></ion-input>
    </div>

    <ion-button style="margin-top:10px;" color="primary" expand="block"
      (click)=createItem(userForm.value)>Add</ion-button>
  </form>

</ion-content>